La requête API REST a échoué à la suite d’une erreur… Que faire ?

  • WordPress :5.2
  • Statut : non résolu
14 sujets de 31 à 44 (sur un total de 44)
  • Auteur
    Messages
  • #2270415
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    J’ai le même problème et mon hébergeur est formel : “Après vérification, au niveau du log, il ne semble pas y avoir de blocage lors du test et aucun événement ModSecurity n’est présent actuellement pouvant indiquer l’interruption du script cURL.”

    de plus ;

    “Par ailleurs, le problème ne semble pas lié à la mise à jour de PHP. Nous avons effectué un autre test sur une formule équivalente (WordPress version 5.2 par défaut sans ajout de plugins) et nous n’avons pas rencontré cette erreur”

    J’en conclus donc que c’est un bug lié à la mise à jour vers 5.2.

    #2270430
    Li-An
    Modérateur
    Maître WordPress
    22211 contributions

    Le problème c’est que c’est un bug qui ne semble toucher qu’un tout petit nombre d’hébergeur (Infomaniak et qui d’autre ?).

    #2270432
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    Je vais tester dans mon labo mais à mon avis c’est wordpress qui se trompe. En tout cas l’erreur critique de cURL a disparut quand j’ai supprimé un plugin (hupso sharing), quand à la maj de PHP je crois que c’est wordpress.

    • Cette réponse a été modifiée le il y a 3 weeks et 6 jours par  Izgoud.
    #2270434
    Li-An
    Modérateur
    Maître WordPress
    22211 contributions

    Vous ne pouvez pas savoir le nombre de personnes qui débarque sur le forum pour nous parler de bug de WP qui ne semble toucher que leur installation. Si WP et Infomaniak ne sont pas compatibles, ce n’est pas à WP de s’adapter. Il n’est pas au service des hébergeurs.

    #2270436
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    Je suis en production chez LWS avec 2 sites (depuis 2016), tout allait bien avant le 5.2.

    • Cette réponse a été modifiée le il y a 3 weeks et 6 jours par  Izgoud.
    #2270438
    Li-An
    Modérateur
    Maître WordPress
    22211 contributions

    Moi je gére des sites chez OVH (berk) et AlwaysData sans rencontrer ce problème. De plus une recherche sur le message d’erreur montre que si c’est une erreur que l’on peut rencontrer, il n’y a aucune épidémie et que cela donc touche un (très) petit nombre de sites. Un excellent article sur le sujet https://www.samuelaguilera.com/post/curl-error-28-wordpress

    Si toutes les installations WP chez LWS étaient impactées, je pense qu’ils seraient au courant. Qu’est-ce qu’ils disent à ce sujet ?

     

    #2270439
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    Pour ce qui est du cURL cela venait d’un plugin.

    Pour ce qui est de la MAJ de PHP ils répondent officiellement par ;

    “Par ailleurs, le problème ne semble pas lié à la mise à jour de PHP. Nous avons effectué un autre test sur une formule équivalente (WordPress version 5.2 par défaut sans ajout de plugins) et nous n’avons pas rencontré cette erreur”

    #2270445
    Flobogo
    Modérateur
    Maître WordPress
    15664 contributions

    Bonjour,

    le problème ne semble pas lié à la mise à jour de PHP. Nous avons effectué un autre test sur une formule équivalente (WordPress version 5.2 par défaut sans ajout de plugins) et nous n’avons pas rencontré cette erreur

    WordPress fonctionne sans extension, mais le résultat serait quand même basique. Donc, chacun enrichit son WordPress avec les extensions dont il a besoin, ce que vous avez fait.

    Et justement, le problème venait de là :

    Pour ce qui est du cURL cela venait d’un plugin.

    En résumé : c’est l’extension en question qui n’est pas compatible avec votre version PHP … ce que l’hébergeur n’a pas pu voir avec un WordPress vierge.

    Au fait, de quelle extension s’agit-il ?

    #2270446
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    Bonsoir,

    l’extension était Hupso sharing facebook etc

    #2270449
    Flobogo
    Modérateur
    Maître WordPress
    15664 contributions

    Celle-ci ? Si oui, ça serait bien de les informer via le support dédié.

    #2270450
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    oui c’est celle la.

    #2270472
    Izgoud
    Participant
    Initié WordPress
    7 contributions

    Pour ce qui est de la question de la MAJ de PHP je confirme que c’est un bug de wordpress; sur mon labo au dernier cri de la technologie (opensuse leap 15.0.1, mariadb, php7) wordpress me recommande de mettre à jour PHP!

    #2270500
    Li-An
    Modérateur
    Maître WordPress
    22211 contributions

    Personnellement, je ne fais absolument pas confiance à l’outil de recommendation qui va multiplier les faux positifs suivant les hébergeurs et faire stresser les gens pour rien. Ça va juste mettre la pression sur les hébergeurs – ce qui n’est pas un mal.

    Je remarque néanmoins que ce “bug” n’a rien à voir avec la discussion.

    #2270656
    Franco.Saracino
    Participant
    Initié WordPress
    14 contributions

    Pareil Infomaniak.

    @jericho si tu as une réponse de leur part je suis preneur.

14 sujets de 31 à 44 (sur un total de 44)
  • Vous devez être connecté pour répondre à ce sujet.